{% extends "page_base.html" %}

{% block title %}{{ board.name }} - Kanban{% endblock %}

{% block css %}
    {{ super() }}
    <link rel="stylesheet" type="text/css"
        href="{{ url_for('static', filename='css/board_view.css') }}"/>
{% endblock %}

{% block javascript %}
{{ super() }}
<script type="text/javascript" src="{{ url_for('static', filename='js/common.js') }}"></script>
<script type="text/javascript" src="{{ url_for('static', filename='js/formatting.js') }}"></script>
<script type="text/javascript" src="{{ url_for('static', filename='js/board_view.js') }}"></script>
<script type="text/javascript" src="{{ url_for('static', filename='js/task_editor.js') }}"></script>
{% endblock %}


{% block body_tag %}
<body class="board-view">
{% endblock %}


{% block page_header %}
<h2>{{ board.name }}</h2>
<div>
    {% if board.is_owned_by(current_user) %}
        <a href="{{ url_for('board_settings.edition_page', board_id=board.id) }}">
            Paramètres
        </a>
    {% endif %}
</div>
{% endblock %}


{% block content %}
<div id="board-columns">
</div>

<div id="task-editor-overlay" hidden>
    <div id="task-editor-content">
        <h1 id="task-editor-title">XXX</h1>
        <ul id="task-editor-formatting-bar"></ul>
        <div id="task-editor-task">
            <textarea id="task-editor-description"></textarea>

            <label>Aperçu : </label><br/>
            <div id="task-editor-description-preview"></div>

            <label for="task-editor-assigned-user">Affectée à :</label>
            <select id="task-editor-assigned-user"></select><br/>

            <label for="task-editor-due-date">Date de rendu : </label>
            <input type="date" id="task-editor-due-date"/><br/>
        </div>
        <div id="task-editor-colors"></div>
        <div id="task-editor-save-row">
            <input type="button" id="task-editor-save-button"
                class="task-editor-button"
                value="Enregistrer"/>

            <input type="button" id="task-editor-delete-button"
                class="task-editor-button"
                value="Supprimer"/>

            <input type="button" id="task-editor-cancel-button"
                class="task-editor-button"
                value="Annuler"/>
        </div>
    </div>
</div>

<script type="text/javascript" nonce="{{ csp_nonce }}">
    var script_root = {{ request.script_root|tojson }};
    var read_only = {{ read_only|tojson }};
    var board = {{ board_json|tojson }};
    var current_user_id = {{ (current_user.id if current_user != None else None)|tojson }};
    var current_user_is_owner = {{ board.is_owned_by(current_user)|tojson }};

    var board_viewer = new BoardViewer(board, $.id('board-columns'));
    var task_editor = new TaskEditor();
</script>

{% endblock %}
